Error executing grunt build build markdownjs

  node.js, question

NextMarkdown-js source codeAccording to the method shown in the document, executenpm install, the following error occurred:

npm ERR!  Linux 4.4.0-28-generic
 npm ERR!  argv "/usr/bin/nodejs" "/usr/bin/npm" "install"
 npm ERR!  node v4.2.6
 npm ERR!  npm  v3.5.2
 npm ERR!  code ELIFECYCLE
 npm ERR!  markdown@0.6.0-beta1 prepublish: `grunt build`
 npm ERR!  Exit status 1
 npm ERR!
 npm ERR!  Failed at the markdown@0.6.0-beta1 prepublish script 'grunt build'.
 npm ERR!  Make sure you have the latest version of node.js and npm installed.
 npm ERR!  If you do, this is most likely a problem with the markdown package,
 npm ERR!  not with npm itself.
 npm ERR!  Tell the author that this fails on your system:
 npm ERR!  grunt build

Each software version:Ubuntu 16.04LTS Desktop,grunt@0.4.5,grunt-cli@0.1.13
All files and directories are777Permissions

npmSeems to prompt executionprepublishCommand line for phasegrunt buildError, however input directly at the terminalgruntOr ..grunt buildThere is no error output (in fact, the terminal does not have any output and returns directly). Of course, the target file also has no output. . .

So how should I operate it to make it work normally?

Alas, my question has never been answered …

A solution has been found:
sudo apt-get remove nodeThenodeThe package with this strange name was unloaded
sudo ln -s /usr/bin/nodejs /usr/bin/nodeCreate a file callednodeArrival ofnodejsLinks to